blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
c0e3b5dbd8806d3213f04f3590e950325fb9c71d
Shell
alay3168/XGTestProjects
/publish_shell/scripts/build_go_new.sh
UTF-8
600
3.578125
4
[]
no_license
#!/bin/bash source /etc/profile go_dir=/workspace/go_service function yellow_echo () { local what=$* echo -e "\e[1;33m-- ${what} \e[0m" } function green_echo () { local what=$* echo -e "\e[1;32m-- ${what} \e[0m" } function red_echo () { local what=$* echo -e "\e[1;31m-...
true
abe8ce3dd0093ace5afee96832d7ce416b843051
Shell
lokeshw24/Configuration_Files
/image_script_akshay_jain.sh
UTF-8
486
3.640625
4
[]
no_license
#This script converts size of image to whatever extent. #HOW TO USE : #Replace 'After_Haldi' with the folder-name that contains all images to be reduced. #Replace 'Size_reduced' with the folder-name where you want to put all the reduced images. #Reducing '25%' with any other number. 25% means if original images' s...
true
1548d38699e21272ea888df10d58c44c2fd61b17
Shell
catwell/aur-packages
/luajson-git/PKGBUILD
UTF-8
909
3.109375
3
[]
no_license
# Maintainer: Pierre Chapuis <catwell at archlinux dot us> pkgname=luajson-git pkgver=20101111 pkgrel=1 pkgdesc='JSON Parser/Constructor for Lua' arch=('any') url='http://www.eharning.us/wiki/luajson/' license=('MIT') depends=('luasocket' 'lpeg') makedepends=('git') conflicts=('luajson') provides=('luajson') source=()...
true
12f7019a8e5d62892a8e7d04627976cb48d06793
Shell
adnovum/katharsis-framework
/build.sh
UTF-8
550
2.890625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -ev mvn clean install jacoco:report coveralls:report -Dmaven.javadoc.skip=true -B if [ "${TRAVIS_PULL_REQUEST}" != "true" ] && [ "$(git status | head -1)" != "HEAD detached at FETCH_HEAD" ] ; then if [[ $TRAVIS_BRANCH == 'master' ]]; then # deploy to staging repository echo "TODO: ADD ...
true
f8362609fc2ab955664bc9418c246ee40d02e909
Shell
sploutch/JetPlatform-Froyo-Cyanogenmod
/system/etc/init.d/04apps2sd
UTF-8
3,406
3.765625
4
[]
no_license
#!/system/bin/sh # # Enable Apps2SD? A2SD_ENABLE=`getprop lk.apps2sd.enable` if [ "$A2SD_ENABLE" != 1 ]; then echo "Apps2SD DISABLE!"; exit; fi; A2SD_MOVE_DC=`getprop lk.movedc.enable` if [ -e /dev/block/mmcblk0p2 ]; then echo "--- Checking filesystems"; # fsck the sdcard filesystem first e2...
true
ae4b455568f8621d00982a8500195a3b8a6b51c5
Shell
scipopt/scip
/applications/MinIISC/check/run.sh
UTF-8
4,933
3.34375
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * #* * #* This file is part of the program and library * #* SCIP --- Solving Constraint Integer Programs ...
true
e7ad3ca658e3e0efb5cbb4a7ff71f349be61a6fc
Shell
margaridaCF/FlyingOctomap_code
/architecture/install/ubuntu_sim_common_deps.sh
UTF-8
2,479
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash ## Bash script for setting up a PX4 development environment on Ubuntu LTS (16.04). ## It can be used for installing simulators (only) or for installing the preconditions for Snapdragon Flight or Raspberry Pi. ## ## Installs: ## - Common dependencies and tools for all targets (including: Ninja build system,...
true
80572f6b9ae9f822cdde1401cbf18502975b80d1
Shell
livecode/livecode-thirdparty
/libskia/rename.sh
UTF-8
426
2.921875
3
[]
no_license
set -e chflags -R nouchg . for d in $(find . -type d) ; do pushd $d for f in *2016_11_30*.h ; do if [ -f "$f" ] ; then chmod +w,-x "$f" mv -v "$f" $(echo "$f" | awk '{print $1;}').h fi done for f in *2016_12_01*.cpp ; do if [ -f "$f" ] ; then chmod +w,-x "$f" mv -v "$f" $(echo "$f" | awk '{print...
true
ee946040f4177c3e75a6d46638b95f95569512bd
Shell
MoonlightMP/Gh4ster
/Gh4ster(beta).sh
UTF-8
60,194
3.296875
3
[]
no_license
#!/bin/bash #some variables DEFAULT_ROUTE=$(ip route show default | awk '/default/ {print $3}') IFACE=$(ip route show | awk '(NR == 2) {print $3}') JAVA_VERSION=`java -version 2>&1 |awk 'NR==1{ gsub(/"/,""); print $3 }'` MYIP=$(ip route show | awk '(NR == 2) {print $9}') #Colors() { #Escape="\033"; # white="${Escape...
true
4fbd48850ffd3b22cfff4e2891d879f8c2b846d4
Shell
DTCorinna/keptn
/travis-scripts/build_master.sh
UTF-8
271
3.015625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # ${IMAGE}=$1 ${FOLDER}=$2 ${VERSION}=$3 IMAGE=$1 FOLDER=$2 VERSION=$3 echo "Build ${IMAGE}" cp MANIFEST ./${FOLDER}MANIFEST #$FOLDER contains / at the end cd ./${FOLDER} cat MANIFEST docker build . -t "${IMAGE}:${VERSION}" docker push "${IMAGE}:${VERSION}"
true
929b2bb5f5105024f6be83be59fb93d3f5aab9c8
Shell
JasonHewison/dotfiles
/install.sh
UTF-8
5,955
3.21875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -ex SCRIPTPATH="$(pwd -P)" source "$SCRIPTPATH/scripts/_install-helpers.sh" BACKUP="$(date +'%Y%m%d%H%M%S')" install-brew brew-install node brew tap mscharley/homebrew brew-install alacritty brew-install bat brew-install ctop brew-install fzf brew-install git brew-install jq brew-install pyt...
true
e4ac106e5c5e96be6480d7eee30ea44d4f7a0e38
Shell
adobe/SimpleTable
/Example/sample-ios/make_launch_images.sh
UTF-8
621
2.5625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash launchImagePath="$(dirname "$0")/Images.xcassets/LaunchImage.launchimage" commonParameters="xc:white" echo "Making launch images in $launchImagePath" convert -size 640x960 $commonParameters "$launchImagePath/iphone@2x.png" convert -size 640x1136 $commonParameters "$launchImagePath/iphone-retina4@2x.png" ...
true
398aed429450193368f565477912de4e21fe98e0
Shell
Milchen83/YourFritz
/helpers/functions/yf_bin2dec.function
UTF-8
2,779
3.765625
4
[]
no_license
#! /bin/true # vi: set tabstop=4 syntax=sh : # colorize it in 'vi' and use shorter tabstops ####################################################################################### # # # bin2dec - convert binary data its decimal represen...
true
c90a0719c2b8d2ee59e8ecf5a590fcab0f3d4371
Shell
aufdenpunkt/python-license-check-action
/entrypoint.sh
UTF-8
876
3.703125
4
[ "MIT" ]
permissive
#!/bin/bash COLOR_RED='\033[0;31m' COLOR_GREEN='\033[0;32m' COLOR_YELLOW='\033[1;33m' COLOR_OFF='\033[0m' REQS=${GITHUB_WORKSPACE}/${DEP_PATH} echo -e "\n----------------- Variables -------------------" echo -e "${COLOR_YELLOW}INFO${COLOR_OFF} Requirements path: ${REQS}" echo -e "\n------------ Install requirements...
true
4679402b4de0a046c76696e20f45983094085698
Shell
trusch/trusch.io
/scripts/build-jwtd-proxy-amd64.sh
UTF-8
1,076
3.015625
3
[]
no_license
#!/bin/bash export GOPATH=$(pwd)/build source scripts/versions.sh GOOS=linux GOARCH=amd64 go get -d -v gopkg.in/trusch/jwtd.${JWTD_VERSION}/... GOOS=linux GOARCH=amd64 go build -ldflags '-linkmode external -extldflags -static' -o build/jwtd-proxy.amd64 gopkg.in/trusch/jwtd.${JWTD_VERSION}/jwtd-proxy VERSION=$(git -...
true
5c37e1f100f7cea36f3adc50c6120f80842e26ed
Shell
wangwanzhong/scripts
/mysql/mysql-5.7/ins_mysql_5.7.sh
UTF-8
2,615
3.59375
4
[]
no_license
#!/bin/bash set -e SrcFile=$1 InstallDir='/opt' DataDir='/data/db/mysqldata' LogDir='/data/log/mysql' if [ ! -f "${SrcFile}" ];then echo "no src file ${SrcFile}" exit 1 fi if ! id mysql;then echo "create count mysql" useradd mysql else echo "has count mysql" fi if ! rpm -qi libaio-devel;then ec...
true
7bf122a9ca0a6f6d80df32d7cfc84fae30a6e0ec
Shell
neerajkori/kubernetes
/Installation/productionenv/kubeadm/SingleMaster_3node_cluster/provision_master.sh
UTF-8
3,081
3.03125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/bash set -xe echo "[1. Create file to load containerd modules during system statup. ]" cat <<EOF | sudo tee /etc/modules-load.d/containerd.conf overlay br_netfilter EOF modprobe overlay modprobe br_netfilter echo "[2. Enable Systemctl parameter for kubernetes for system startup.]" cat <<EOF | sudo tee /et...
true
360920d68c8e3352e667e2968b70cbbb0bdbd7b6
Shell
wesm87/dotfiles
/exports/brew.sh
UTF-8
537
3.4375
3
[ "MIT" ]
permissive
# shellcheck shell=bash disable=1090 function __dotfiles_exports_brew() { local brew_dir_path local brew_exec_path local brew_env_output if is-linux-os; then brew_dir_path="${HOMEBREW_PREFIX:-/home/linuxbrew/.linuxbrew}" else brew_dir_path="${HOMEBREW_PREFIX:-/opt/homebrew}" fi export HOMEBREW_...
true
2ba3ebd7d122c96cbfafe4f6392dced848259721
Shell
WebSpider/OpenELEC.tv
/packages/audio/libspotify/build
UTF-8
3,871
3.359375
3
[]
no_license
#!/bin/sh ################################################################################ # This file is part of OpenELEC - http://www.openelec.tv # Copyright (C) 2009-2011 Stephan Raue (stephan@openelec.tv) # # This Program is free software; you can redistribute it and/or modify # it under the terms of t...
true
e55dcef0ca955af071880f190b692b6df9808b29
Shell
zautomata/mobsd
/config/setup.sh.bak
UTF-8
3,060
3.109375
3
[]
no_license
#! /bin/sh # # update httpd configuration # cp ./config/httpd.conf /etc/ echo "httpd configuration updated" # # update rc.conf.local # cp ./config/rc.conf.local /etc/ echo "/etc/rc.conf.local updated" source="./src" bin="./bin" #TODO API version server_ip="192.168.1.202" endpoints="opendatahub rd apidoc ping" # arr...
true
bf898d98d4f5df55b854db5d7597ff07aeb86529
Shell
ealbertos/dotfiles
/git/aliases.zsh
UTF-8
1,419
2.90625
3
[ "MIT" ]
permissive
# Use `hub` as our git wrapper: # http://defunkt.github.com/hub/ hub_path=$(which hub) if (( $+commands[hub] )) then alias git=$hub_path fi # The rest of my fun git aliases alias gpu='git pull --prune' alias glg="git log -n 10 --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%c...
true
30cd33e4d90a02729c2265a1f4bb4b6dddccfb9e
Shell
LaXiS96/dedi-tools
/install.sh
UTF-8
8,935
4
4
[]
no_license
#!/bin/bash PUBLIC_KEY="ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAQEAukJrHxfSXSy1RgYWoS2tB2A/wR6VrQi6Q1AiXIXk4LbYqTvl5r7obIaYpKjimXWuwfY5WNsTPpEUn6jdxSnyOm5US6FBsfFfoTmFSswucgJ/JJSBabQK6xXLHgo5ov41Mp5BfG3BdqbqK4d6IRx8Dsp0gnU9Rg5oaVM/vCJFdg4PPXhjEoQOjJhj40tZkPBLO72A3Siw3mOoDUh1FNvz2YgDNI/i6lTSHDuRlrb0Ye0pl4avF72YUoHecfVYc/Opkc3S...
true
653f461f91db8806b75c92bfb58732202f326026
Shell
stephen-fox/buffer-overflower
/buffer-overflower.sh
UTF-8
5,461
4.53125
5
[]
no_license
#!/bin/bash ############################################################################### # GLOBALS ##################################################################### # ATTRIBUTES ################################################################## glbScriptName="${0##*/}" glbIntegerRegex='^[0-9]+$' # PATHS #####...
true
a514fcf3de61fa1ca305beb88b71761b13763ed5
Shell
sweagleExpert/integrations
/linux/createMds.sh
UTF-8
2,725
3.953125
4
[]
no_license
#!/usr/bin/env bash source $(dirname "$0")/sweagle.env ########################################################################## ############# ############# CREATE MDS BY NAME AND PATH ############# ############# Input: name of MDS to create, nodepath of mds ############# Output: 0 if no errors, 1 + Details of erro...
true
4def145b8f602b0cdecad3713913c043d51a8ba7
Shell
stern-shawn/CSE374_HWArchive
/HW3/parse.sh
UTF-8
1,128
3.84375
4
[]
no_license
#!/bin/bash # Shawn Stern, CSE 374 HW3, Problem 2 # if given fewer than 2 arguments, print error and exit if [ $# -lt 2 ] then echo "${0}: script requires 2 arguments" 1>&2 exit 1 fi # if given file doesn't exist, print error and exit if [ ! -e $1 ] then echo "${0}: provided file does not exist" 1>&2 ...
true
5a1e89c55d3cb638ba129a5a30c00b49f6c384c4
Shell
jepio/flatcar-scripts
/get_latest_image.sh
UTF-8
1,259
4.15625
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # Prints the path to the most recently built image to stdout. SCRIPT_ROOT=$(dirname $(readlink -f "$0")) . "${SCRIPT_ROOT}/common.sh" ||...
true
086aba84c61587aab9cd9c639f2aa7c9fe9d1bb0
Shell
xbsdsongnan/speech
/第五章-sn/lab2_p2b.sh
UTF-8
275
2.546875
3
[]
no_license
#!/bin/bash -e if [[ -e ./src/lab2_train ]] ; then binStr="./src/lab2_train" else echo "Couldn't find program to execute." exit 1 fi $binStr --audio_file p018k7.22.dat --align_file p018k7.22.2.align \ --iters 1 --in_gmm p018k1.gmm.dat --out_gmm p2b.gmm
true
749b29d798d915be073418aeb657b72b12a45052
Shell
mypmc/rq
/install.sh
UTF-8
1,874
4.09375
4
[ "Apache-2.0" ]
permissive
#!/bin/sh -eu # Copyright 2016 David Flemström. # # Based on https://sh.rustup.rs, which is: # Copyright 2016 The Rust Project Developers # Licensed under the Apache License, Version 2.0 # (http://www.apache.org/licenses/LICENSE-2.0) base='https://s3-eu-west-1.amazonaws.com/record-query/record-query' msg() { echo...
true
5909b450c12631de60f1c6a9e3337a70f0488abf
Shell
sdwfrost/biobash
/stopatname.sh
UTF-8
231
3.484375
3
[ "MIT" ]
permissive
#!/bin/bash if [ $# != 2 ]; then echo "USAGE: ./stopatname.sh <fasta-file> <name>" exit fi filename=$1 name=$2 awk -v name="$name" ' BEGIN {RS = ">" ; ORS = ""} { print ">"$0 if ($1 == name) { exit } } ' $filename
true
a43de3841ae3f11ac30f61b91f83d69c7492d049
Shell
locafox/maps
/consul/scripts/import_keys.sh
UTF-8
541
3.34375
3
[]
no_license
#!/bin/bash set -e echo "[INFO] -- Starting: $0 at $(date)" source /tmp/env.conf || echo "[WARN] -- No local setting found." if [[ "${CONSUL_URL}x" == "x" ]]; then echo '[ERROR] -- We need CONSUL_URL defined in environment.' exit 1 fi if [[ "${SERVICE}x" == "x" ]]; then echo '[ERROR] -- We need SERVICE ...
true
ed6185b4029fed8c0aaa305c8793b4262333a185
Shell
cllu/.rc
/shell/zshrc
UTF-8
2,268
3.125
3
[]
no_license
# Customize installation export RCHOME=$HOME/.rc # Report CPU usage for commands running longer than 10 seconds REPORTTIME=10 if [[ "$(uname)" == "Darwin" ]]; then # Do something under Mac OS X platform source $RCHOME/shell/env-osx.sh elif [[ "$(expr substr $(uname -s) 1 5)" == "Linux" ]]; then # Do so...
true
de685a56caeae76b1431445fe1bab7d681b7e6af
Shell
tcunha/slae
/bin/asm-errno
UTF-8
190
2.53125
3
[]
no_license
#!/bin/sh asm_path="/usr/include/asm-generic/errno-base.h" asm_number=`grep "$1" "$asm_path"|awk '{ print $3 }'` grep "$1" "$asm_path"|awk '{ print $3 }' printf "0x%x\n" $((-$asm_number))
true
0567779deb2b1b16734583b17944ed06108b5e79
Shell
Winiex/dotfiles.v2
/vim/install.sh
UTF-8
647
2.953125
3
[]
no_license
#!/usr/bin/env bash if [ -d ~/.vim ]; then clr_green "Found existing .vim directory in your HOME directory." clr_green "Move it to ~/.vim_backup." mv ~/.vim ~/.vim_backup fi if [ -f ~/.vimrc ]; then clr_green "Found existing .vimrc file in your HOME directory." clr_green "Move it to ~/.vimrc_backup...
true
522e451b5341370330bba3650d5ed1c783028c52
Shell
civicrm/civicrm-buildkit
/bin/securify
UTF-8
325
2.90625
3
[]
no_license
#!/usr/bin/env bash echo "------------------------------------------" >&2 echo "DEPRECATD: use forkify instead of securify" >&2 echo "------------------------------------------" >&2 if [ -n "$1" ]; then forkify "$1" security 'git@lab.civicrm.org:security/' else echo "usage: $0 <add-remotes | set-remotes | fetch>"...
true
5466dfe92d5efa97bc212700dc54fcaf9f248d53
Shell
epam/cloud-pipeline
/deploy/docker/cp-search-elk/get-aws-profile.sh
UTF-8
5,404
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash #MIT License # # Copyright (c) 2017 Aaron Roydhouse # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the rights # to use, copy, ...
true
89d4554753d8d9dfa05ea9b1ff7df32bb62eed6a
Shell
dornja/powergauge
/benchmarks/libav/compile.sh
UTF-8
354
3.59375
4
[ "MIT" ]
permissive
#!/bin/bash if [ $# -lt 2 ] ; then echo "Usage: $0 __SOURCE_NAME__ __EXE_NAME__" exit 1 fi root=`dirname "$0"` root=`cd "$root" ; pwd` src=`dirname "$1"` exe=$2 tmpdir=build rsync -a --checksum --no-times "$src/" "$tmpdir" chmod -R u+w $tmpdir make -C "$tmpdir" -f "$root/Makefile" avconv > /dev/null 2>&1 ...
true
d0a900945bdee721f5bfc7ef23aa7c7e92bb84b9
Shell
UtsavChokshiCNU/GenSym-Test2
/src/corba/cpp/gdefs
UTF-8
524
3.296875
3
[]
no_license
#!/bin/sh # # Generate the macro definitions for BUILD_CODE and GSIDIR # if [ "$MACHINE" = rs6000 -o "$MACHINE" = hp9000s700 ] then echo BLDCOD=`date "+%y %m %d" | awk '{ printf("%c%c%02d", $1+67, $2+64, $3) } '`"\c" else echo -n BLDCOD=`date "+%y %m %d" | awk '{ printf("%c%c%02d", $1+67, $2+64, $3) } '` fi if [ "$1"...
true
bd97bab3ba887f76af10271a00bf2ebb0e2b44e3
Shell
brhillman/e3sm_grids
/old/ne256np4/config.sh.mappy
UTF-8
1,053
2.59375
3
[]
no_license
#!/bin/bash se_ne=256 atm_grid_name=ne${se_ne}np4 dyn_grid_name=ne${se_ne} lnd_grid_name=${atm_grid_name} tempest_root=${HOME}/codes/e3sm_grids/tempestremap output_root=/sems-data-store/ACME/bhillma/e3sm/grids/${atm_grid_name} #/sems-data-store/ACME/bhillma/grids/${atm_grid_name} inputdata_root=/sems-data-store/ACME/in...
true
edd1dbdde972de20f52fc56abcaa8c74525944ba
Shell
qm210/aSleaZyn
/convert_uic.sh
UTF-8
101
2.703125
3
[]
no_license
for ui in $(ls *.ui) do echo $ui name=$(echo $ui | cut -d. -f 1) pyuic5 $name.ui -o $name.py done
true
ecef86bac928325467f53ef5ca66f9d06be9e929
Shell
x2x4com/my-script
/bash/old_backup/backup/company/cvsuseradd.sh
UTF-8
5,369
3.640625
4
[]
no_license
#!/bin/sh ################################### # # # create cvs user # # # # ver 0.5 Jacky.xu # # # # # ################################### #passwdgen_path=/home/cvsroot #cvs_root=/home/cvsroot #cvs_passwd_file=$cvs_root/CVSROOT/passwd #cvs_clean_passwd_file=$cvs_root/CVSROOT/passwd_1 cvs_...
true
29b86c1a3b67d68ef9b86efd0d8f7adfdba9efeb
Shell
novakne/dotfiles_x11
/.bashrc
UTF-8
4,704
2.859375
3
[]
no_license
# $HOME/.bashrc # If not running interactively, don't do anything [[ $- != *i* ]] && return # ___OPTIONS___ # Prepend cd to directory names automatically shopt -s autocd 2> /dev/null # Correct spelling errors during tab-completion shopt -s dirspell 2> /dev/null # Correct spelling errors in arguments supplied to cd sh...
true
fc61223ef895c6e24a91ab3965da2c380f0fd971
Shell
jchain/quickcd
/quickcd_bash_wrapper.sh
UTF-8
1,236
3.828125
4
[]
no_license
# This displaces the normal bash "cd" builtin command. cd needs to be redefined this way because it's not # a normal binary, but rather a Bash builtin. # The "cd" command may have already been redefined by another script (RVM does this, for example): if [ x`type -t cd` == "xfunction" ]; then # In this case, we defin...
true
79e892ddb0399d28c6884d39b9e0fb12b56d2ed5
Shell
YKonovalov/openstack-networking-demo
/ovn/centos8-kayobe-ussuri/99-kayobe-delete-centos8.sh
UTF-8
1,514
2.734375
3
[]
no_license
#!/bin/sh . ./.config.sh . ./common/functions.sh # on the kayobe control host cat > /tmp/ifcfg-eth0 << EOF DEVICE=eth0 BOOTPROTO=none ONBOOT=yes NM_CONTROLLED=no EOF cat > /tmp/ifcfg-vhost0 << EOF DEVICE=vhost0 BOOTPROTO=none ONBOOT=yes TYPE=kernel NM_CONTROLLED=NO BIND_INT=eth0 EOF cat > /tmp/80-vhost.network << EOF ...
true
fdc8238c21724d53afbf71ddfe012dbefeb872ec
Shell
jachinpy/tip
/plugins/virtualenvwrapper/virtualenvwrapper.zsh
UTF-8
396
2.984375
3
[]
no_license
if [ ! -d "$HOME/.virtualenvs" ];then mkdir $HOME/.virtualenvs fi if [ -f "/usr/bin/virtualenvwrapper.sh" ];then if [ ! -f "/usr/local/bin/virtualenvwrapper.sh" ];then sudo ln -s /usr/bin/virtualenvwrapper.sh /usr/local/bin/virtualenvwrapper.sh fi fi export WORKON_HOME=$HOME/.virtualenvs VIRTUALENV...
true
0d25f0493510911a0bfd45206bcc3e1f99bff64e
Shell
mattduck/dotfiles
/bin/,github-switch-url
UTF-8
505
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash # # Swap git remote between https and ssh if [ -z "$1" ]; then export REMOTE_NAME="origin"; else export REMOTE_NAME="$1"; fi git='git@github.com:' https='https://github.com/' url="$(git remote -v | awk "/^${REMOTE_NAME}.*fetch.$/ {print \$2}")" echo Old url for remote "'${REMOTE_NAME}'": "$url" if echo "$u...
true
5b83203284fa0305d0ff2a4bc5ec10d23a7f3aa3
Shell
alex13th/LinuxTShoot
/Lesson4/lab4.sh
UTF-8
808
2.6875
3
[]
no_license
#!/bin/bash # determining settingsning settings IP=`ip route list | grep default | awk '{print $3}'` INT=`ip route list | grep default | awk '{print $5}'` F_OCTET=`ip route list | grep default | awk '{print $3}' | awk -F "." '{print $1}'` S_OCTET=`ip route list | grep default | awk '{print $3}' | awk -F "." '{print $2...
true
f7572a399f6f462cac556771a3517e50bf82dc13
Shell
Tobi-Archademy/alx-system_engineering-devops-2
/0x0F-load_balancer/1-install_load_balancer
UTF-8
455
2.53125
3
[]
no_license
#!/usr/bin/env bash # install and setup haproxy on a new Ubuntu machine sudo apt-get update sudo apt-get install -y haproxy echo "ENABLED=1" >> /etc/default/haproxy echo " listen load_balancer bind *:80 mode http balance roundrobin option httpclose option forwardfor server 167-web-01 35.1...
true
ad5559fcd2fb4fdf27e450909d668494517d8a02
Shell
idanezsh/someofmycrap
/DeployUpdate.sh
UTF-8
750
3.046875
3
[]
no_license
#!/bin/bash set -u echo -e "Starting Update in 3 seconds.." sleep 1 echo -e "2" sleep 1 echo -e "1" sleep 1 echo -e "Stopping CBWUI" systemctl stop cbwui systemctl stop cbwui #Backup Previous RPM + Remove mv -f /usr/local/cybonet/ui{,.backup.$(date +"%Y%m%d_%H%M%S")} ls -al /usr/local/cybonet/| grep back echo -e "...
true
5993ac157de1a031b24a7dd4480b905e4f3b89a3
Shell
janveverka/usercode
/HtoZg/MuonAnalysis/test/sync/compare-events.sh
UTF-8
254
2.96875
3
[]
no_license
EVENTLIST=$(cat events_unique_caltech.txt) FILE1=muonDump1_ZJets.txt FILE2=caltech.txt grep pt $FILE1 | cut -d ' ' -f 2- for E in $EVENTLIST: echo '===' grep $E $FILE1 | cut -d ' ' -f 2- echo '---' grep $E $FILE2 | cut -d ' ' -f 4-
true
8dd915e1c8f46e80cbc53cb84f7bb17f38619a84
Shell
dalmatinerdb/dalmatinerdb
/rel/freebsd/dalmatinerdb
UTF-8
610
3.28125
3
[ "MIT" ]
permissive
#!/bin/sh # # $FreeBSD$ # # PROVIDE: dalmatinerdb # REQUIRE: LOGIN # KEYWORD: shutdown . /etc/rc.subr name="dalmatinerdb" rcvar=dalmatinerdb_enable load_rc_config $name : ${dalmatinerdb="NO"} start_cmd="${name}_start" stop_cmd="${name}_stop" dalmatinerdb_start() { if checkyesno ${rcvar}; then echo "* start...
true
117454253aec41d6727329d92e9559f1ad9884ac
Shell
precisely/bioinformatics
/packer/copy-ami
UTF-8
1,100
3.875
4
[]
no_license
#!/usr/bin/env bash set -Eeuo pipefail readlinkf() { perl -MCwd -MFile::Glob -l -e 'print Cwd::abs_path File::Glob::bsd_glob shift' "$1"; } basedir=$(dirname "$(readlinkf "$0")") script=$(basename "${BASH_SOURCE[${#BASH_SOURCE[@]}-1]}") ### parameter handling if [[ "$#" -eq 0 ]]; then echo "usage: copy-ami.sh <...
true
72787248cb3e6d9ebb6b5f19cf76909e7f1a83b3
Shell
Dawtt/DigitalOcean001
/examples/sPn.sh
UTF-8
2,633
4.25
4
[]
no_license
#!/usr/bin/env bash # spongeCase.sh (SPoNge Case) # Thanks http://linuxcommand.org/lc3_wss0120.php for input parameter while / shift statement # This script is for BASH, should be usable on most macs/linux boxes. # I don't anything about windows bash. # If you know how to run bash scripts in windows, this scrip...
true
ba7d9330db903614dedcd65fd69035b0407ecb56
Shell
EntityFX/anybench
/src/cpu_info_linux.sh
UTF-8
2,721
3.890625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash source common.sh SUFFIX="" cc=cc if [ $# -ne 0 ]; then SUFFIX=$1 cc="${SUFFIX:1}" fi RESULT_DIR="../results/${current_arch}${SUFFIX}" mkdir -p "${RESULT_DIR}" echo "Recording output of uname" uname -mrsv > "${RESULT_DIR}/linux_uname.log" if [[ -d /sys/devices/system/cpu/ ]]; then echo ...
true
19616172e5c5be43af6dcf1d086df98be97ebe7b
Shell
Logiraptor/docker-shims
/install.sh
UTF-8
851
4.25
4
[ "Unlicense" ]
permissive
#!/bin/bash set -e # Build all the Dockerfiles into images named after their directories. for file in *; do if [[ -f $file/Dockerfile ]]; then echo "Building image: $file" docker build -t $file $file fi done mkdir -p $HOME/bin # Write out shims for the commands specified in the commands file...
true
fe6b7889eb31fbb94fb76b79aa823cdc2a6ab13d
Shell
bmwilli/streams
/spl/torrent/MultiBlaster/run_blaster.sh
UTF-8
781
3
3
[]
no_license
#!/bin/bash -x rm -f data/* for test in Blaster BlasterRelay; do for trans in tcp tor; do streamtool lsjobs -i $trans | grep Running | awk '{print $1}' | xargs -r streamtool canceljob -i $trans s=16 while [ $s -le 16777216 ]; do for i in $(seq 0 2); do sed "s/REPLACEME/$s/g" $test.spl.temp...
true
12268e84b259135a5a038f65124c75adee0fca25
Shell
shalomb/dotfiles
/.config/bin/shruggie
UTF-8
1,013
3.234375
3
[]
no_license
#!/bin/bash # rofi/dmenu wrapper to show/select emojis # pip install emojicons # for i in {1..1024}; do # ( set -xv; emoji save --file ~/.cache/emojis.json "$i"; ); # done type -P emoji &>/dev/null || { echo >&2 "emojicons not installed?"; exit 2 } emoji list --file ~/.cache/emojis.json | tail -n +3 | per...
true
cab4876557358868d96aaae267c85a8647142e06
Shell
ybettan/Oop
/hw5/tests/OOP5_Tests/part1/OOP5_Part1_RunTest.sh
UTF-8
1,077
2.609375
3
[]
no_license
#!/bin/bash echo "TestInt" res=`g++ -std=c++11 -g TestInt.cpp 2>&1`; if [ "${res}" != "" ] then echo "Failed" else echo "Passed" fi echo "TestList"; res=`g++ -std=c++11 -g TestList.cpp 2>&1`; if [ "${res}" != "" ] then echo "Failed" else echo "Passed" fi echo "TestMatrix_Add" res=`g++ -std=c++11 -g TestMatrix_...
true
7b7bb3cf4a184bd2bfd71cb7596681518bfed200
Shell
LinusU/linusu-eos
/info.sh
UTF-8
378
2.796875
3
[]
no_license
#!/bin/bash PASSWORD="$(docker exec -it eosio cat /default-wallet-password | tr -d '[:space:]' | sed -e 's/^"//' -e 's/"$//')" echo "Password: $PASSWORD" PRIVATE_KEY="$(docker exec -it eosio head -n 1 /default-key | cut -c 14- | tr -d '[:space:]')" echo "Private Key: $PRIVATE_KEY" ACCOUNT_NAME="$(docker exec -it eos...
true
820d4015727f1e499e03692ab85d80a7542d3b08
Shell
cnweak/dotdeb.gpg
/DebianLNMP7-Pro-Jimmyli.sh
UTF-8
6,210
3.078125
3
[]
no_license
#!/bin/bash PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin export PATH cur_dir=$(pwd) source_dir=$cur_dir/debian-lnmp echo "$source_dir" echo -e "\033[47;30m Compiled by Jimmy Li http://jimmyli.blog.51cto.com \033[0m" servername="www.jimmyli.com" echo -e "\033[41;37m Please enter the server dom...
true
8a4a001336e2362483df2628ebe71a6af9dc9ca0
Shell
hallatech/shell-scripts
/weblogic/startWeblogicATG11Live.sh
UTF-8
8,207
3.6875
4
[ "Apache-2.0" ]
permissive
#!/bin/sh #Parameter defaults DOMAIN=live RUN_BG=fg MEM_XMX=1024m USE_REBEL=true REBEL_LOGGING=false DEBUG=true USE_TAKIPI=false FORCE_INDEX=false CLEAN_CACHES=false DEFAULT_LOCAL_LAYERS="store:store-local" SWITCHING_LAYERS="store-switching" LAYERS=$DEFAULT_LOCAL_LAYERS function usage { echo "usage: startWeblogicAT...
true
45e55ec2625948fad4c59048a20079677041062d
Shell
GeorgiyDemo/FA
/Course_II/UNIX/exams/exam1/more/task7.sh
UTF-8
1,148
3.953125
4
[ "WTFPL" ]
permissive
#!/bin/bash # Сценарий должен создать архив (*.tar.gz) всех файлов в указанном каталоге, которые изменялись в течение последних # 48 часов. Подсказка: воспользуйтесь утилитой find. # Если кол-во переданных параметров не 1 if [ $(($#)) -ne 1 ]; then echo "Ошибка: Необходимо передать параметр в виде директории" >&...
true
6db617d050ca80938bb8842d55976e8c7f1eb097
Shell
hannesmcman/AAO-React-Native
/scripts/travis/after_success.sh
UTF-8
358
2.796875
3
[ "MIT" ]
permissive
#!/bin/bash set -e -v # todo: test this on a forked build w/maintainer access to the branch if [[ $JS && $TRAVIS_PULL_REQUEST != false && -f .needs-push ]]; then git checkout "$BRANCH" git push "$SSH_REPO" "$BRANCH" git checkout "$TRAVIS_COMMIT" fi if [[ $JS ]]; then npm install coveralls ./node_modules/.bi...
true
422d3320b6e7681feaea0879527faa6567c5aef6
Shell
DennisTerrell/makeRepo
/mkGitDir.sh
UTF-8
324
3.3125
3
[]
no_license
#!/bin/bash # 1. Set up an alias by editing .bash_profile: e.g., mkGitDir='path/to/this/script/mkGitDir.sh' # 2. Then just run mkGitDir from anywhere, and name your repo after: e.g., mkGitDir test echo "What's your GitHub username?" ; read USERNAME curl -u "$USERNAME" https://api.github.com/user/repos -d '{"name":"'$1...
true
c59582ddc68c90ab71f892aac3903d9830c2c6f0
Shell
servarius/websphere-configuration-tool
/modules/configure_security.sh
UTF-8
2,387
3.359375
3
[]
no_license
#!/usr/bin/env bash configure_security() { local SECURITY_ENABLE_APP_SEC=0 local SECURITY_ENABLE_ADM_SEC=0 local SECURITY_ENABLE_SSO=0 local SECURITY_SSO_DOMAIN=none local SECURITY_USER=none local SECURITY_FEDERATED_REPO=0 local SECURITY_MAPUSER=none while (( $# > 0 )) do case "$1" in -ea...
true
0b41a8e5c45eba037205d6373298e38cb292a9e8
Shell
crisgnecco/bash-practice
/eje2/copiaDeSeguridad.sh
UTF-8
280
2.59375
3
[]
no_license
#!/bin/bash # add & for run it in background mode.(segundo plano) ### $1 fileName $2 TimeBetweenBackups bash copia.sh $1 $2 & # >>filename writes a file echo "-----------------------">>detener echo "Para detener la ejecucion use el comando">>detener echo "kill -9 $!">>detener
true
b9478a0d5a9daeca81371c57236f44416dfc183b
Shell
georgey21/home-bin
/drop_tables_dev.sh
UTF-8
874
3.03125
3
[]
no_license
#!/bin/bash set -x mypath=$(dirname $0) which sqlplus > /dev/null 2>&1 NO_LCL=$? DB_URL='gerritdev1/gerritdev1@dbq17cnc.rim.net:1521/TMISC' #DB_URL='gerritqa/gerritqa@dbq17cnc.rim.net:1521/TMISC' #DB_URL='gerrit/g2er56T10@dbq17cnc.rim.net:1523/PMISC' if [ ${NO_LCL} -eq 1 ] then dst_sql_conn='ssh -l gerrit2 -p 22 mi...
true
650a347ccc9fae914eb1608cb846de04ccde837b
Shell
hashbang/shell-etc
/init.d/screen-cleanup
UTF-8
1,226
3.46875
3
[ "LicenseRef-scancode-warranty-disclaimer", "MIT" ]
permissive
#!/bin/sh # $Id: init,v 1.3 2004/03/16 01:43:45 zal Exp $ # # Script to remove stale screen named pipes on bootup. # ### BEGIN INIT INFO # Provides: screen-cleanup # Required-Start: $remote_fs # Required-Stop: $remote_fs # Default-Start: S # Default-Stop: # Short-Description: screen sessions cleani...
true
8828ab7afacb1f7fe5e8e3dd77b7ad1b4157208f
Shell
hckuo/CPU2006-Express
/cpu2006express.sh
UTF-8
16,109
3.65625
4
[]
no_license
#!/bin/bash ############################################################################## # cpu2006express.sh - This utility performs SPEC CPU2006 benchmarking using # GCC. Capabilities include in installing prerequisites, building and # installing SPEC CPU2006, and running reportable integer and floating-point # ...
true
df1af770596a78b426c6f1bf9fa8e8857b376289
Shell
YzBear/go.world
/AntakeLearning/ping.sh
UTF-8
270
3.359375
3
[]
no_license
#!/bin/bash while getopts ":w:" opt do case $opt in w) ping -c 3 $OPTARG | awk '/time=/{print $8}' | awk -F "=" '{sum+=$2} END{printf("平均延迟为:%f\n",sum/3)}' ;; ?) echo "未知参数" exit 1;; esac done
true
0896483fcfbc16b0692349d10067c3069893da5f
Shell
jxc761/ElementaryDataset
/src/sequentially_render_all_mxs.sh
UTF-8
659
2.953125
3
[ "MIT" ]
permissive
#!/bin/bash # Find the job script location SCRIPT_DIR=$(dirname $0) if [ $SCRIPT_DIR == '.' ] then SCRIPT_DIR=$(pwd) fi FN_JOB_SCRIPT="${SCRIPT_DIR}/pbs_render_all_mxs.sh" #FN_JOB_SCRIPT="${SCRIPT_DIR}/test_job.sh" MIN_SL=24 SL_STEP=2 FINISH_SL=28 START_SL=`expr $MIN_SL + $SL_STEP` # don't depend any other job PRE_J...
true
21f119f83460d04ca3f0d8a5af0cb6aa3b27949a
Shell
gmelodie/dotfiles
/gen-ssh-gpg-keys.sh
UTF-8
695
2.953125
3
[]
no_license
stty sane # prevent the ^M on enter issue read -p "Your Name: " name read -p "Your Email: " email echo "----------------------- SSH KEY ------------------------" echo "\n" | ssh-keygen -C "$email" -N "" eval "$(ssh-agent -s)" ssh-add ~/.ssh/id_rsa cat ~/.ssh/id_rsa.pub echo "----------------------- GPG KEY --...
true
7073177bae6e5056d8971c625c9c6e82dd51481b
Shell
aliencmc/freepastry
/umltesting/strongswan-testing/testing/make-testing
UTF-8
2,873
3.546875
4
[]
no_license
#!/bin/bash # Create the strongSwan UML testing environment # # Copyright (C) 2004 Eric Marchionni, Patrik Rayo # Zuercher Hochschule Winterthur # # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation...
true
b7b454f835addc3b1548d02db1e1500892eab31f
Shell
Alexshait/iodif
/install/install.sh
UTF-8
374
2.515625
3
[]
no_license
# Command file to set some system parameters for InOutDev site # 1. Allow 'www-data' user (Apache2) to perform som root actions usermod -a -G sudo www-data # Allow 'www-data' user to not request for the password from User echo '# Allow running anything as www-data without password' > /etc/sudoers.d/www-data echo 'ww...
true
6aa8f96e575ebf492bc01dd5b3eb4c81f5e9696e
Shell
rorymalcolm/gds-pre-commit
/register.sh
UTF-8
2,620
3.75
4
[]
no_license
#! /bin/bash # Print usage function usage () { cat << EOF Usage: auth.sh [-t | --test] EOF } # Set default behaviour to real mode="prod" # Parse arguments while [[ "$1" =~ ^- && ! "$1" == "--" ]]; do case $1 in -t | --test) mode="test" ;; -h | --help ) usage exit 0 ;; esac; shift; done ...
true
7e1d8a4fdf7d47a146b7912fc4f32c4a434e5140
Shell
Genomenon/mastermind-cvr-bigquery
/list-cvr-tables
UTF-8
2,018
3.59375
4
[]
no_license
#!/bin/bash # Created by argbash-init v2.8.0 # ARG_HELP([<List available Genomenon public CVR dataset ids>]) # ARG_OPTIONAL_SINGLE([assembly-version],[v],[Assembly version. GRCh37 or GRCh38]) # ARGBASH_GO() # needed because of Argbash --> m4_ignore([ ### START OF CODE GENERATED BY Argbash v2.8.0 one line above ### # A...
true
00d76811a88b72f48d153367237a9c4b3d2489a0
Shell
GSteinberg/VirLab
/BBMap/pipelines/assemblyPipeline.sh
UTF-8
5,446
3.203125
3
[ "BSD-3-Clause-LBNL" ]
permissive
#!/bin/bash set -e #Written by Brian Bushnell #Last updated September 18, 2018 #This script is designed to preprocess data for assembly of overlapping 2x150bp reads from Illumina HiSeq 2500. #Some numbers and steps may need adjustment for different data types or file paths. #For large genomes, tadpole and bbmerge (du...
true
fdc17769cf3669a4d39cc6f30f055576107e50ac
Shell
plapicola/rails_engine
/build.sh
UTF-8
1,119
3.171875
3
[]
no_license
#!/bin/bash # Stop existing containers if present and running docker stop rails_engine_app docker stop rails_engine_db # Remove existing network to prevent error docker network rm rails_engine_1 # Build docker images for app and DB with appropriate tags docker build -f Dockerfile.app . -t app:latest docker build -f...
true
aa7e89f182c4ba65cf7d19073ba6af988ea7a10a
Shell
harshitdaga/youtubeDownloader
/loop.sh
UTF-8
165
2.9375
3
[ "MIT" ]
permissive
v_config_file=$1 echo "config file : " $v_config_file while IFS= read -r cmd do echo "Executing : " $cmd `./youtubeDowload.sh -e $cmd` done < "$v_config_file"
true
bb3c55d30c06e97c6fc80ee3b994cab3e21b5a01
Shell
akarikun/nekonekostatus
/install.sh
UTF-8
1,079
2.953125
3
[]
no_license
#!/bin/bash yum install epel-release centos-release-scl git -y && yum install nodejs devtoolset-8-gcc* -y && scl enable devtoolset-8 bash apt-get install nodejs npm git -y npm install n -g;PATH="$PATH"; n latest;PATH="$PATH" npm install npm@latest -g;PATH="$PATH" npm install forever -g;PATH="$PATH" cd /root/ git clon...
true
040d01af3d2ef93e0c219ce3c5526926a0baaa5c
Shell
Basilevz/sboxsetup
/trial 0.9.4
UTF-8
8,599
3.78125
4
[ "MIT" ]
permissive
#!/bin/sh # ------------------------------------------------------------------------------ # redtorrent.sh # Script to install the newest rTorrent and (optionally) ruTorrent front-end # Should work out-of-the-box on Debian and Ubuntu systems # # Call it with the user who will run rTorrent as an argument. Like this: # ...
true
d21148a73379a8a8ff2952474dd75153bb6f69b6
Shell
ocochard/netbenches
/Xeon_L5630_4Cores-Intel_82599EB/route-contention/bench-lab-2nodes.config
UTF-8
2,364
2.890625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh # Configuration example for forwarding/routing performance with netmap pkt-gen: # # ------admin network: 192.168.1.0/24 (ssh)---------- # | .1 | .10 #+-------------------------------------+ +----------------------------------+ #| Devi...
true
16ba9b73871dc3166880605ddb5f67003094e9c4
Shell
YogSottot/bitrix-env-rpm
/SOURCES/bitrix-env/opt/webdir/bin/menu/04_memcached/functions.sh
UTF-8
2,002
3.25
3
[]
no_license
BASE_DIR=/opt/webdir BIN_DIR=$BASE_DIR/bin . $BIN_DIR/bitrix_utils.sh || exit 1 bx_mc_script=$BIN_DIR/bx-mc bx_process_script=$BIN_DIR/bx-process bx_host_script=$BIN_DIR/wrapper_ansible_conf mc_menu=$BIN_DIR/menu/04_memcached # get_text variables [[ -f $mc_menu/functions.txt ]] && \ . $mc_menu/functions.txt...
true
975bb6331758f9111de4fad5d77a9b6fb44fe2d7
Shell
wojtodzio/dotfiles
/.oh-my-zsh/custom/docker.zsh
UTF-8
1,722
4.09375
4
[]
no_license
# Docker related alias dcdev='docker-compose -f docker-compose.dev.yml' # Find container matching given name part find-container() { local container_name_contains="$1" local compose_file="${2:-docker-compose.yml}" inline_global_ruby <<'END' ruby -r yaml -e "puts YAML.load(File.read('$compose_file'))['servi...
true
4ba7aabdd8c722bd75fb928be7e1a200da8073be
Shell
RepuSight/openwrt-feed
/meta/openwisp-fw/files/etc/owispmanager/preinit.sh
UTF-8
966
3.21875
3
[]
no_license
#!/bin/sh FIREWALL_CONFIG_PATH="/etc/config/firewall" SYSTEM_CONFIG_PATH="/etc/config/system" DISABLED_MODULES_PATH="/etc/modules.d/disabled" ## Disabling unneedeed services # firewall if [ ! -d "$DISABLED_MODULES_PATH" ]; then mkdir "$DISABLED_MODULES_PATH" mv /etc/modules.d/*-ipt-conntrack /etc/modules.d/*-ipt-...
true
e8928b1c2661c89e31cf08995f0aed5baee00723
Shell
Heronalps/APM-SPoT
/Latency_Experiment/NodeJS/xray-trace.sh
UTF-8
461
2.640625
3
[ "BSD-3-Clause" ]
permissive
for (( a=0; a<=1000; a++ )) do aws lambda invoke \ --function-name xray_base_NodeJS \ --region us-west-2 \ --profile default \ output.txt EPOCH=$(date +%s) TRACEIDS=$(aws xray get-trace-summaries --start-time $(($EPOCH-5)) --end-time $(($EPOCH)) --query 'TraceSummaries[*].Id' --output text...
true
a65218c0e9b7d3eb88d81b231451b5fe338098c7
Shell
mcutshaw/defsec-mock-configurator
/modules/networking/main
UTF-8
2,250
3.6875
4
[]
no_license
#!/bin/bash #BEGIN_VARS #ip REQUIRED #subnet OPTIONAL #subnet_mask REQUIRED #gateway OPTIONAL #nameservers OPTIONAL #END_VARS #COMPATIBLE debian 9 source vars mask2cdr () { # Assumes there's no "255." after a non-255 byte in the mask local x=${1##*255.} set -- 0^^^128^192^224^240^248^252^254^ $(( (${#1} - ${#...
true
0e880a7aee2e37c82af5b3cc57f6d0caee261c67
Shell
Eralien/Pixel2Mesh
/Debugging/pixel2mesh/help/train_list_gen.sh
UTF-8
530
3.15625
3
[]
no_license
#!/bin/bash # get all filename in specified path # image_path=./kitti_test/ image_path=./Debugging/dataset/clips/0601/ # log_path=./prediction_info.txt list_file=./pixel2mesh/utils/train_list_new.txt # rm -f $log_path # echo "" > $log_path if test -s $list_file; then echo "Kitti list file exist" else echo "G...
true
ead7f485c7aaf24fdda5c059425448e47b998089
Shell
containerd/cri
/hack/install/utils.sh
UTF-8
1,505
3.859375
4
[ "Apache-2.0", "CC-BY-4.0" ]
permissive
#!/bin/bash # Copyright The containerd Authors. # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable ...
true
a47e41b998121ac7371b4164624589a226889ba5
Shell
nianzelee/PhD-Dissertation
/paper/random-exist-ssat/evaluation/process-data.sh
UTF-8
6,064
3.71875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash write_tex_data_command () { echo "\newcommand{\\$1}{$2}" >> "$3" } normalize_string_for_benchexec () { # Remove timestamp temp=$(echo "$1" | cut -d'.' -f1) # Tokenize IFS='-' read -ra ARR <<< "$temp" # Change cases and concatenate retval='' for word in "${ARR[@]}"; do ...
true
431133c82eea0c10711ad8ef0bce7d795000b5e5
Shell
ppamorim/bank_fix
/fix.sh
UTF-8
2,956
2.765625
3
[ "MIT" ]
permissive
#!/bin/bash # if ! [ "$1" ]; then # echo "usage to recompile: $0 <file.apk>" # exit -1 # fi # Configuration based on these scripts: # https://stackoverflow.com/a/44236755/2430555 # https://github.com/scottyab/rootbeer/blob/master/rootbeerlib/src/main/java/com/scottyab/rootbeer/Const.java ./decompile.sh $1 ...
true
e1102cc35f1610ec8032d731d55af2d87f5d9f53
Shell
ias-test/PyFR-Testing
/checkInbox
UTF-8
163
2.859375
3
[]
no_license
#!/bin/bash ROOT=$(dirname $(readlink -f $0)) TAG=`uuidgen` mkdir -p ${ROOT}/__inbox cat >~/.tmp_${TAG}.tar.gz mv ~/.tmp_${TAG}.tar.gz ${ROOT}/__inbox/${TAG}
true
e79693bcc784697a8c0e690f31eea4ebdbb1febe
Shell
AlasAzules/cli-setup
/install/zsh/zsh-zplug.sh
UTF-8
257
2.640625
3
[]
no_license
#/bin/bash # oneliner # curl -sL --proto-redir -all,https https://raw.githubusercontent.com/zplug/installer/master/installer.zsh | zsh # manully manully() { export ZPLUG_HOME=~/.zplug git clone https://github.com/zplug/zplug $ZPLUG_HOME } manully
true
621bb6491c89403234b38c462b1975485f2d23e3
Shell
monkeylyf/interviewjam
/hackerrank/lets_bash/hackerrank_the_tr_command_3.sh
UTF-8
166
2.828125
3
[]
no_license
#! /bin/bash # hackerrank_the_tr_command_3 # # https://www.hackerrank.com/contests/lets-bash/challenges/text-processing-tr-3 set -e main() { tr -s " " } main
true
6a6cf1eeef9805b568fec183fa789e8517d19a49
Shell
infogrind/dotfiles
/install.sh
UTF-8
971
4.0625
4
[]
no_license
#!/bin/bash ################################################################################ # install.sh # This script creates symlinks from the home directory # to any desired dotfiles in ~/.dotfiles ################################################################################ # Variables dir=~/.dotfiles backup_d...
true
a145b0392d36c1ae4999c9332f74878ba735f751
Shell
StarryTony/ShellScriptProjectTemplate
/generic_template.sh
UTF-8
10,713
3.4375
3
[ "MIT" ]
permissive
#!/bin/bash ################################ # Readme to use the template: # Please change ${sh_name}, ${output_path} and showMenu() # # ----------------------------- # Author: Tony # Mail: meteorq@live.co.uk # Version: 1.0.0.1 # Datetime: 21/12/2017 ################################ # Remind: all variables shoul...
true
ffb1eb395bd64b27b6a028750713fec2054494ca
Shell
muschellij2/CT_Pipeline
/Image_Segmentation/pipeliner_test.sh
UTF-8
628
2.796875
3
[]
no_license
#!/bin/bash rootdir="/dexter/disk2/smart/stroke_ct/ident" basedir="${rootdir}/Test_5" progdir="${rootdir}/programs" nfolds=75; #"\\d\\d\\d-(\\d|)\\d\\d\\d" nid=`find $basedir -mindepth 1 -maxdepth 1 -type d -regex '.*[0-9][0-9][0-9]-[0-9]?[0-9][0-9][0-9]$' | wc -l` # find $basedir -regex '{[0-9]}' cd $progdir ### M...
true
f559ba386d2986f0903e4b2507da9149af2deae6
Shell
yeol12/MMM-Detector
/installer/rebuild.sh
UTF-8
1,142
3.78125
4
[ "MIT" ]
permissive
#!/bin/bash # +---------+ # | Rebuild | # +---------+ # get the installer directory Installer_get_current_dir () { SOURCE="${BASH_SOURCE[0]}" while [ -h "$SOURCE" ]; do DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )" SOURCE="$(readlink "$SOURCE")" [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" done ...
true
ee6fa53c42a2579f1d173b2757a216418f303892
Shell
welloo6/obsy-packages
/plugin-gargoyle-smsbox/files/www/utility/sms.sh
UTF-8
942
3.515625
4
[]
no_license
#!/bin/sh # $1 /dev/ttyUSB0 # $2 mem mem mem mem XX # $3 s d l r u # $4 numer index "ussd" # $5 "tresc" [ -e $1 ] || exit 0 echo -e "[global]\nmodel = AT\nport = $1\nconnection = serial" > /tmp/gnokiirc case $3 in "s") echo "$5" | gnokii --config /tmp/gnokiirc --sendsms $4 > /tmp/gnokii.log 2>&1 R=$? if [ $...
true
ea3800b376a7014ccfa1c978caa7f5737776bd63
Shell
paulehoffman/html-parsers-benchmark
/mono/run.sh
UTF-8
445
2.84375
3
[]
no_license
#!/bin/bash source ../lib.sh test_file=$1 num_iterations=$2 DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" export MONO_PATH=$DIR/HtmlAgilityPack/lib/Net40 print_header "BenchHtmlAgilityPack.cs" $test_file timeit mono -O=all BenchHtmlAgilityPack.exe "$test_file" $num_iterations export MONO_PATH=$DIR/SgmlRea...
true
1803314fe3bac1ecff07131208c8e2d4f2bb6b3b
Shell
gipert/.dotfiles
/.config/sxhkd/bin/brightness-popup
UTF-8
196
2.546875
3
[]
no_license
#!/bin/bash val=$(cat /sys/class/backlight/intel_backlight/brightness) maxval=$(cat /sys/class/backlight/intel_backlight/max_brightness) echo $((100 * $val / $maxval)) > /tmp/xobpipe-brightness
true